Поддержка Проблемы и решения WP 3.3 и плагин PopUp Domination

  • Доброго времени суток!
    Проблема: Не обновляется WordPress c 3.2.1 до 3.3 выдает:
    Fatal error: Call to undefined function is_rtl() in /home/b/bogovilab/public_html/wp-includes/general-template.php on line 2102
    Что может быть? Может версия ещё сырая? Скажите пожалуйста. Заранее благодарен. Мой блог http://white-and-black.ru

    С уважением, Ильдус Абдуллович

    [Тема переименована для большей информативности.]

Просмотр 11 ответов — с 1 по 11 (всего 11)
  • Скажите пожалуйста.

    Говорю: читайте Правила, пользуйтесь поиском.
    http://blogs.yandex.ru/search.xml?text=is_rtl&holdres=mark&server=ru.forums.wordpress.org&ft=forum

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Такая проблема замечена при использовании плагина PopUp Domination. Если это и ваш случай, можно удалить каталог плагина через FTP. Или попробовать исправить, закомментировав строку 34 в popup-domination.php:

    wp_admin_css( 'theme-editor' );

    В ней подключается файл, которого больше нет (к тому же слишком рано, что и приводит к ошибке).

    Большое спасибо, Сергей!
    Я уже понял, почитав,на форуме, куда по поиску направил Юрий. Я откатил, на 3.2.1. Буду ждать 3.3.1 или 3.3.2. Мне PopUp Domination нужен…
    Ещё раз спасибо. Ещё найти бы Ваш Кодекс, внимательно поизучать, правила есть, Кодекса (строителя капитализма) нет:)
    С уважением, Ильдус Абдуллович

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Ошибка в плагине, поэтому, если мой вариант не подошёл, ждать нужно обновления плагина. В самом WordPress в данном случае исправлять нечего (разработчики следят за обратной совместимостью, но под плагины, написанные без учёта рекомендаций, не подстраиваются принципиально).

    Насколько мне известно, обновление уже есть и доступно только тем, кто купил плагин (он платный и в официальном каталоге его нет).

    Кодекса (строителя капитализма) нет:)

    Кодекс прячется за словом Документация 😉

    Да мне поступило предложение на «мыло» от автора плагина, придётся из скудного пенсиона найти 45 баков, а то больно хочется новый WP использовать. А имеющийся плагин нельзя подкорректировать, его баг устранить?

    PS Я уже заинтригован этим мегапопулярным плагином. Пойду его искать. Может и мне надо? 🙂

    PPS Теперь я знаю как зовут эту заразу, действующую на нервы.

    А имеющийся плагин нельзя подкорректировать, его баг устранить?

    Что один человек сделал, другой завсегда разобрать сможет.©

    Вопрос в том, найдет ли кто-то, кто и может, и хочет.

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Я же вроде прямо написал, где и что исправить 🙂

    Такая проблема замечена при использовании плагина PopUp Domination. Если это и ваш случай, можно удалить каталог плагина через FTP. Или
    попробовать исправить, закомментировав строку 34 в popup-domination.php:

    wp_admin_css( ‘theme-editor’ );
    В ней подключается файл, которого больше нет (к тому же слишком рано, что и приводит к ошибке).

    Удалить совсем или комментом спрятать, чтобы не работало- это и есть решение промблемы?

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Да. Дёшево и сердито 🙂

    Возможно, поменяются стили каких-то форм плагина в админке. Но это произойдёт, даже если не удалять строку, поскольку файл всё равно отсутствует. Зато сама админка снова будет доступна (ради интереса только что проверил).

Просмотр 11 ответов — с 1 по 11 (всего 11)
  • Тема «WP 3.3 и плагин PopUp Domination» закрыта для новых ответов.